#if !defined(AFX_PROTOCOLSELECT_H__A9B735B3_26F3_11D2_850D_0040052F0B6E__INCLUDED_)
#define AFX_PROTOCOLSELECT_H__A9B735B3_26F3_11D2_850D_0040052F0B6E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// ProtocolSelect.h : header file
//
#include "resource.h"
/////////////////////////////////////////////////////////////////////////////
// CProtocolSelect dialog

class CProtocolSelect : public CPropertyPage
{
	DECLARE_DYNCREATE(CProtocolSelect)

// Construction
public:
	CProtocolSelect();
	~CProtocolSelect();

// Dialog Data
	//{{AFX_DATA(CProtocolSelect)
	enum { IDD = IDD_PROTOCOLS };
	CListBox	m_ProtocolList;
	//}}AFX_DATA
	int m_nProtocolIndex;
private:
	CPropertyPage* m_pPage;
	CStringArray m_astrProtocols;
	CStringArray m_astrProtocolsNoWAN;
	BOOL m_bNoWanPage;
   CStringArray m_astrProtocolsNoWanPageWarn;
// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CProtocolSelect)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:
	void SetParams(CStringArray& astrAllowed,CStringArray& astrNoWAN,CStringArray& astrNoWarn,int sel,CPropertyPage* pWanPage);
private:
	void AddRemoveWanPage();
protected:
	// Generated message map functions
	//{{AFX_MSG(CProtocolSelect)
	afx_msg void OnSelchangeProtocollist();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PROTOCOLSELECT_H__A9B735B3_26F3_11D2_850D_0040052F0B6E__INCLUDED_)
